# sodium_crypto_aead_chacha20poly1305_encrypt

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_aead_chacha20poly1305_encrypt — Chiffre puis authentifie avec ChaCha20-Poly1305

### Description

sodium_crypto_aead_chacha20poly1305_encrypt(
#[\SensitiveParameter] string `$message`,
string `$additional_data`,
string `$nonce`,
#[\SensitiveParameter] string `$key`
): string

Chiffre puis authentifie avec ChaCha20-Poly1305.

### Liste de paramètres

`message`

  Le message en texte clair à chiffrer.

`additional_data`

  Additionnel, données authentifiées. Cela est utilisé dans la vérification de l'étiquette d'authentification ajoutée au texte chiffré, mais il n'est pas chiffré ou stocké dans le texte chiffré.

`nonce`

  Un nombre qui doit être utilisé une seule fois, par message. 8 octets de long.

`key`

  La clé de chiffrement. 256 bits.

### Valeurs de retour

Renvoie la clé de chiffrement et l'étiquette en cas de succès, ou `false` si une erreur survient.